> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete GL account

> Delete a GL account for the given id



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs delete /v6/accounting/glAccounts/{id}
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/accounting/glAccounts/{id}:
    delete:
      tags:
        - GL Accounts
      summary: Delete GL account
      description: Delete a GL account for the given id
      operationId: deleteGlAccount
      parameters:
        - name: id
          in: path
          description: The id of the GL account
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseGlAccountGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    SuccessResponseGlAccountGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/GlAccountGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    GlAccountGetDto:
      required:
        - accountNo
        - cashFlowType
        - hasChildren
        - id
        - level
        - name
        - parentGlAccount
        - status
        - subType
        - systemGenerated
        - taxCategory
        - type
      type: object
      properties:
        id:
          type: string
          description: Id of the GL account
          example: gla_38560327
        status:
          type: string
          description: Status of the GL account
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        name:
          type: string
          description: Name of the GL account
          example: Officer(s) Salaries and Wages
        accountNo:
          type: string
          description: Account number of the GL account
          example: '60210'
        parentGlAccount:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ParentGlAccountExpanded'
        type:
          type: string
          description: Type of the GL account
          example: EXPENSE
          enum:
            - ASSET
            - LIABILITY
            - EQUITY
            - INCOME
            - COGS
            - EXPENSE
            - OTHER_INCOME
            - OTHER_EXPENSE
            - SUSPENSE
        subType:
          type: string
          description: Sub-type of the GL account, based on the account type
          nullable: true
        cashFlowType:
          type: string
          description: Cash flow statement classification of the GL account
          nullable: true
          example: OPERATING
        level:
          type: integer
          description: Hierarchy level of the GL account
          format: int32
          example: 1
        hasChildren:
          type: boolean
          description: Whether the GL account has child accounts
          example: false
        taxCategory:
          type: string
          description: Tax category of the GL account, populated for EXPENSE accounts only
          nullable: true
          example: ADVERTISING
        systemGenerated:
          type: boolean
          description: Whether this account is default account or custom account
          example: false
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    ParentGlAccountExpanded:
      required:
        - accountNo
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: Id of the GL account
          example: gla_38560327
        accountNo:
          type: string
          description: Account number of the GL account
          example: '60000'
        name:
          type: string
          description: Name of the GL account
          example: Payroll Expenses
      description: Parent GL account
      nullable: true
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````